utl::i2c_i_details Namespace Reference

## Classes

struct | is_i2c_
| Primary template to catch any non I2C interface types. More...
struct | is_i2c_< _Tp, meta::void_t< typename _Tp::Sequence, void > >
| template to catch a proper I2C interface type More...

## Typedefs

template<class _Tp >
using | try_cclk_t = decltype(declval< const _Tp >().clock())
template<class _Tp >
using | try_clk_t = decltype(declval< _Tp >().clock(declval< uint32_t >()))
template<class _Tp >
using | try_start_t = decltype(declval< _Tp >().start())
template<class _Tp >
using | try_stop_t = decltype(declval< _Tp >().stop())
template<class _Tp >
using | try_rx_data_t = decltype(declval< _Tp >().rx_data(declval< bool >(), declval< typename _Tp::Sequence >()))
template<class _Tp >
using | try_tx_data_t = decltype(declval< _Tp >().tx_data(declval< byte_t >(), declval< typename _Tp::Sequence >()))

## Typedef Documentation

## try_cclk_t

template<class _Tp >

using utl::i2c_i_details::try_cclk_t = typedef decltype (declval<const _Tp>().clock())

Definition at line 246 of file i2c.h.

## try_clk_t

template<class _Tp >

using utl::i2c_i_details::try_clk_t = typedef decltype (declval<_Tp>().clock(declval<uint32_t>()))

Definition at line 247 of file i2c.h.

## try_rx_data_t

template<class _Tp >

using utl::i2c_i_details::try_rx_data_t = typedef decltype (declval<_Tp>().rx_data (declval<bool>(), declval<typename _Tp::Sequence>()))

Definition at line 251 of file i2c.h.

## try_start_t

template<class _Tp >

using utl::i2c_i_details::try_start_t = typedef decltype (declval<_Tp>().start())

Definition at line 248 of file i2c.h.

## try_stop_t

template<class _Tp >

using utl::i2c_i_details::try_stop_t = typedef decltype (declval<_Tp>().stop())

Definition at line 249 of file i2c.h.

## try_tx_data_t

template<class _Tp >

using utl::i2c_i_details::try_tx_data_t = typedef decltype (declval<_Tp>().tx_data (declval<byte_t>(), declval<typename _Tp::Sequence>()))

Definition at line 253 of file i2c.h.